cURL
curl --request GET \
--url https://recoup-api.vercel.app/api/artist/socials \
--header 'x-api-key: <api-key>'import requests
url = "https://recoup-api.vercel.app/api/artist/socials"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://recoup-api.vercel.app/api/artist/socials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"socials": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"social_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"profile_url": "<string>",
"avatar": "<string>",
"bio": "<string>",
"follower_count": 123,
"following_count": 123,
"region": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"total_count": 123,
"page": 123,
"limit": 123,
"total_pages": 123
}
}{
"status": "error",
"message": "<string>"
}Artists
Get Artist Socials
Retrieve all social media profiles associated with an artist. This endpoint should be called before using the Social Posts endpoint to obtain the necessary social IDs.
GET
/
api
/
artist
/
socials
cURL
Authorizations
Your Recoup API key. Learn more.
Query Parameters
The unique identifier of the artist account to fetch social profiles for
Response
Social profiles retrieved successfully
⌘I
